local LibUSC = LibStub and LibStub("LibUserSpecifiedConditions", true)
if not LibUSC then return end

local CATEGORY = "Logic"

LibUSC:RegisterParameter({

    name = "True", 
    version = 1, 
    type = "Truth",
    category = CATEGORY,
    value = true,
})
LibUSC:SetTypeDefault("Truth", "True")

LibUSC:RegisterParameter({

    name = "False", 
    version = 1, 
    type = "Truth",
    category = CATEGORY,
    value = false,
})

LibUSC:RegisterParameter({

    name = "Condition",
    version = 1,
    type = "Truth",
    isHidden = true,
    ParameterTypes = {
        "Truth",
    },
    configString = "{1}",

    Call = function(self)
        return self.Parameters[1].value == true
    end,
    
    IsMet = function(self)
        return self.value
    end,
})

LibUSC:RegisterParameter({

    name = "And", 
    version = 1, 
    type = "Truth",
    category = CATEGORY,
    ParameterTypes = {
        "Truth",
        "Truth",
    },
    configString = "{1} And {2}",
    
    Call = function(self)
        return self.Parameters[1].value and self.Parameters[2].value
    end,
})

LibUSC:RegisterParameter({

    name = "Or", 
    version = 1, 
    type = "Truth",
    category = CATEGORY,
    ParameterTypes = {
        "Truth",
        "Truth",
    },
    configString = "{1} Or {2}",
    
    Call = function(self)
        return self.Parameters[1].value or self.Parameters[2].value
    end,
})

LibUSC:RegisterParameter({

    name = "Not", 
    version = 1, 
    type = "Truth",
    category = CATEGORY,
    ParameterTypes = {
        "Truth",
    },
    configString = "Not {1}",
    
    Call = function(self)
        return not self.Parameters[1].value
    end,
})

LibUSC:RegisterParameter({

    name = "Equal", 
    version = 1, 
    type = "Truth",
    category = CATEGORY,
    ParameterTypes = {
        "Any",
        "Any",
    },
    configString = "{1} = {2}",
    
    Call = function(self)
        return self.Parameters[1].value == self.Parameters[2].value
    end,
})

LibUSC:RegisterParameter({

    name = "Not Equal", 
    version = 1, 
    type = "Truth",
    category = CATEGORY,
    ParameterTypes = {
        "Any",
        "Any",
    },
    configString = "{1} =/= {2}",
    
    Call = function(self)
        return self.Parameters[1].value ~= self.Parameters[2].value
    end
})

LibUSC:RegisterParameter({

    name = "Less Than", 
    version = 1, 
    type = "Truth",
    category = CATEGORY,
    ParameterTypes = {
        "Number",
        "Number",
    },
    configString = "{1} < {2}",
    
    Call = function(self)
        return self.Parameters[1].value < self.Parameters[2].value
    end,
})

LibUSC:RegisterParameter({

    name = "Greater Than", 
    version = 1, 
    type = "Truth",
    category = CATEGORY,
    ParameterTypes = {
        "Number",
        "Number",
    },
    configString = "{1} > {2}",
    
    Call = function(self)
        return self.Parameters[1].value > self.Parameters[2].value
    end,
})
