local LibUSC = LibStub and LibStub("LibUserSpecifiedConditions", true)
if not LibUSC then return end

local CATEGORY = "Math"

LibUSC:RegisterParameter({

    name = "User-Entered Number",
    type = "Number",
    category = "User-Entered",
    version = 1,
    isUserEntered = true,
    GetConfigString = function(self)
        return tostring(self.value)
    end,
    
    Call = function(self)
        return self.value or 0
    end,
})
LibUSC:SetTypeDefault("Number", "User-Entered Number")

LibUSC:RegisterParameter({

    name = "Percent",
    version = 1,
    type = "Number",
    category = CATEGORY,
    ParameterTypes = {
        "Number",
    },
    configString = "{1}%%",
    
    Call = function(self)
        return self.Parameters[1].value/100
    end,
})

LibUSC:RegisterParameter({

    name = "Addition",
    version = 1,
    type = "Number",
    category = CATEGORY,
    ParameterTypes = {
        "Number",
        "Number",
    },
    configString = "{1} + {2}",
    
    Call = function(self)
        return self.Parameters[1].value + self.Parameters[2].value
    end,
})

LibUSC:RegisterParameter({

    name = "Subtraction",
    version = 1,
    type = "Number",
    category = CATEGORY,
    ParameterTypes = {
        "Number",
        "Number",
    },
    configString = "{1} - {2}",
    
    Call = function(self)
        return self.Parameters[1].value - self.Parameters[2].value
    end,
})

LibUSC:RegisterParameter({

    name = "Multiplication",
    version = 1,
    type = "Number",
    category = CATEGORY,
    ParameterTypes = {
        "Number",
        "Number",
    },
    configString = "{1} x {2}",
    
    Call = function(self)
        return self.Parameters[1].value * self.Parameters[2].value
    end,
})

LibUSC:RegisterParameter({

    name = "Division",
    version = 1,
    type = "Number",
    category = CATEGORY,
    ParameterTypes = {
        "Number",
        "Number",
    },
    configString = "{1} \195\183 {2}",
    
    Call = function(self)
        return self.Parameters[1].value / self.Parameters[2].value
    end,
})
