local LibUSC = LibStub and LibStub("LibUserSpecifiedConditions", true)
if not LibUSC then return end

local CATEGORY = nil

LibUSC:RegisterParameter({

    name = "Macro",
    type = "Truth",
    version = 1,
    category = CATEGORY,
    ParameterTypes = {
        "Text",
    },
    Events = {
        "PLAYER_REGEN_DISABLED",
        "PLAYER_REGEN_ENABLED",
        "PLAYER_FOCUS_CHANGED",
        "PARTY_MEMBERS_CHANGED",
        "UNIT_PET",
        "PLAYER_TARGET_CHANGED",
        "MODIFIER_STATE_CHANGED",
        "ACTIONBAR_PAGE_CHANGED",
        "UPDATE_BONUS_ACTIONBAR",
        "PLAYER_ENTERING_WORLD",
        "UPDATE_SHAPESHIFT_FORM",
        "UPDATE_STEALTH",
        "RAID_ROSTER_UPDATE",
    },
    receivesUpdates = true,
    GetConfigString = function(self)
        return "Macro Condition: {1}"
    end,
   
    
    Call = function(self)
        return SecureCmdOptionParse(self.Parameters[1].value) ~= nil
    end,
})

LibUSC:RegisterParameter({

    name = "Mana",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 0,
})
LibUSC:SetTypeDefault("Power", "Mana")

LibUSC:RegisterParameter({

    name = "Rage",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 1,
})

LibUSC:RegisterParameter({

    name = "Focus",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 2,
})

LibUSC:RegisterParameter({

    name = "Energy",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 3,
})

LibUSC:RegisterParameter({

    name = "Happiness",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 4,
})

LibUSC:RegisterParameter({

    name = "Runes",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 5,
})

LibUSC:RegisterParameter({

    name = "Runic Power",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 6,
})

LibUSC:RegisterParameter({

    name = "Soul Shards",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 7,
})

LibUSC:RegisterParameter({

    name = "Eclipse",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 8,
})

LibUSC:RegisterParameter({

    name = "Holy Power",
    version = 1,
    type = "Power",
    category = CATEGORY,
    value = 9,
})

LibUSC:RegisterParameter({

    name = "Instance Type",
    version = 1,
    type = "Instance",
    category = CATEGORY,
    Events = {"PLAYER_ENTERING_WORLD"},
    configString = "Instance Type",
    
    Call = function(self)
        local _, instance = IsInInstance()
        return instance
    end,
})

LibUSC:RegisterParameter({

    name = "Dungeon",
    version = 1,
    type = "Instance",
    category = CATEGORY,
    value = "party",
})
LibUSC:SetTypeDefault("Instance", "Dungeon")

LibUSC:RegisterParameter({

    name = "Raid",
    version = 1,
    type = "Instance",
    category = CATEGORY,
    value = "raid",
})

LibUSC:RegisterParameter({

    name = "Battleground",
    version = 1,
    type = "Instance",
    category = CATEGORY,
    value = "pvp",
})

LibUSC:RegisterParameter({

    name = "Arena",
    version = 1,
    type = "Instance",
    category = CATEGORY,
    value = "arena",
})

LibUSC:RegisterParameter({

    name = "None",
    version = 1,
    type = "Instance",
    category = CATEGORY,
    value = "none",
})
