local LibUSC = LibStub and LibStub("LibUserSpecifiedConditions", true)
if not LibUSC then return end

local CATEGORY = "Text"

LibUSC:RegisterParameter({

    name = "User-Entered Text",
    type = "Text",
    category = "User-Entered",
    version = 1,
    isUserEntered = true,
    GetConfigString = function(self)
        return self.value
    end,
    
    Call = function(self)
        return self.value or ""
    end,
})
LibUSC:SetTypeDefault("Text", "User-Entered Text")

LibUSC:RegisterParameter({

    name = "Text Contains Text",
    type = "Truth",
    category = CATEGORY,
    version = 1,
    ParameterTypes = {
        "Text",
        "Text",
    },
    GetConfigString = function(self)
        return "{1} contains {2}"
    end,
    
    Call = function(self)
        return string.find(self.Parameters[1].value, self.Parameters[2].value, 1, true) ~= nil
    end,
})

LibUSC:RegisterParameter({

    name = "Combine Text",
    type = "Text",
    category = CATEGORY,
    version = 1,
    ParameterTypes = {
        "Text",
        "Text",
    },
    GetConfigString = function(self)
        return "Combine {1} and {2}"
    end,
    
    Call = function(self)
        return self.Parameters[1].value..self.Parameters[2].value
    end,
})

LibUSC:RegisterParameter({

    name = "Convert Text to Unit",
    type = "Unit",
    category = CATEGORY,
    version = 1,
    ParameterTypes = {
        "Text",
    },
    configString = "Unit: {1}",
    
    Call = function(self)
        return self.Parameters[1].value
    end,
})
